<?

 /*
   ###------------------------------------------### 
   #  | #####     ##   ####     #####   ###### |  # 
   #  | #    #   # #  #         #    #  #      |  # 
   #  | #    #  #  #  #         #    #  #      |  # 
   #  | #####      #  #   ###   #    #  ###### |  # 
   #  | #    #     #  #    #    #    #  #      |  # 
   #  | #    #     #  #    #    #    #  #      |  # 
   #  | #####      #   ####   # #####   ###### |  # 
   ###--------Copyright by www.b1g.info---------###
 */

 //////////////////////////////////////////////////
 // B1G - b1gMail POP3 Zugriffs-Class		        
 //////////////////////////////////////////////////
 // Zugriff auf POP3 Boxen		        
 // (c) 2002-2003 by B1G - Free PHP Scripts      
 //////////////////////////////////////////////////

 require_once('sock.php');
 
 class POP3Mailbox {
 	var $_user;
 	var $_passwort;
 	var $_pop3server;
 	var $_pop3port;
 	var $_socket;
 	var $_timeout;
 	var $_imaphandle;
 	var $_canimap;
 	var $_box;
 	
 	function POP3Mailbox() {
 		$this->_user = "";
 		$this->_passwort = "";
 		$this->_pop3server = "";
 		$this->_pop3port = "110";
 		$this->_socket =& new B1GSocket();
 		$this->_timeout = 3;
 		$this->_box = array();
 		if ($this->_haveimap()) {
 			$this->_canimap = true; 
 		} else {
 			$this->_canimap = false;
 		}
 	}
 	
 	function open($host,$port,$user,$passwort) {
 		if ($this->_haveimap()) {
 			$mbox = "{".$host.":".$port."/pop3"."}"."INBOX";
 			$ihandle = imap_open($mbox,$user,$passwort);
 			$this->_imaphandle = $ihandle;
 			return true;
 		} else {
 			$this->_pop3server = $host;
 			$this->_pop3port = $port;
 			$ergebnis = $this->_socket->Connect($host,$port);
 			if ($ergebnis === true) {
 				$antwort = $this->_socket->Get();
 				if (substr($antwort,0,3)=='+OK') {
 					$oki = 1;
 				}
 			}
 			
 			if ($oki==1) {
 				if($this->_senden('USER '.$user) AND $this->_senden('PASS '.$passwort)) {
 					$antwort2 = $this->_senden('STAT');
 					sscanf($antwort2,"+OK %d %d",$anzahl,$groesse);
 					$this->_box['anzahl'] = $anzahl;
 					return true;				
 			    } 
 			} 
 			
 			$this->_socket->Disconnect();
 			return false;
 		}
 	}
 	
 	function suchen($an) {
 		if ($this->_haveimap()) {
 			if ($an == "" or !isset($an)) {
 				$src = "";
 			} else {
 				$src = "TO ${an}";
 			}
 			$ret = imap_search($this->_imaphandle,$src);
 			return $ret;
 		} else {
 			$ergebnis = array();
 			if (!isset($an) or $an=="") {
 				for ($i=1;$i <= $this->_box['anzahl'];$i++) {
 					$ergebnis[$i-1] = "$i";
 				}
 			} else {
 				$cnt = 0;
 				for ($i=1;$i <= $this->_box['anzahl'];$i++) {
 					$aheader = $this->_headers($i);
 					$byline = explode("\r\n",$aheader);
 					foreach ($byline as $line) {
 						if (strtolower(@substr($line,0,3))=="to:") {
 							$klein = strtolower($line);
 							$aklein = strtolower($an);
 							if (ereg($aklein,$klein)) {
 								$ergebnis[$cnt] = $i;
 								$cnt++;
 							}
 						}
 					}
 				}
 			}
 			if (count($ergebnis)==0) {
 				return false;
 			} else {
 				return $ergebnis;
 			}
 		}
 	}
 	
 	function _decode_mime_string ($string) {
 		// Funktion entnommen aus Postaci, vielen Dank!
 		if (eregi("=?([A-Z,0-9,-]+)?([A-Z,0-9,-]+)?([A-Z,0-9,-,=,_]+)?=", $string)) {
 			$coded_strings = explode('=?', $string);
 			$counter = 1;
 			$string = $coded_strings[0];
 			while ($counter < sizeof($coded_strings)) {
 				$elements = explode('?', $coded_strings[$counter]);
 				if (eregi("Q", $elements[1])) {
 					$elements[2] = str_replace('_', ' ', $elements[2]);
 					$elements[2] = eregi_replace("=([A-F,0-9]{2})", "%\\1", $elements[2]);
 					$string .= urldecode($elements[2]);
 				} else {
 					$elements[2] = str_replace('=', '', $elements[2]);
 					if ($elements[2]) { $string .= base64_decode($elements[2]); }
 				}
 				if (isset($elements[3]) && $elements[3] != '') {
 					$elements[3] = ereg_replace("^=", '', $elements[3]);
 					$string .= $elements[3];
 				}
 				$string .= " ";
 				$counter++;
 			}
 		}
 		
 		return $string;
 	}
 	
 	function decodeSubject($subject) {
 		if (substr(strtolower($subject),0,strlen("=?iso-88"))=="=?iso-88") {
 			$subject = $this->_decode_mime_string($subject);
 			$subject = htmlspecialchars($subject);
 			return $subject;
 		} else {
 			$subject = htmlspecialchars($subject);
 			return $subject;
 		}
 	}
 	
 	
 	function manzahl() {
 		return $this->_box['anzahl'];
 	}
 	
 	function parsedheaders($msgid) {
 		$ret = array();
 		
 		if ($this->_haveimap()) {
 			$msgheader = imap_header($this->_imaphandle,$msgid);
 			$to = $msgheader->to[0];
 			$from = $msgheader->from[0];
			$an = strtolower($to->mailbox . "@" . $to->host);
 			$von = $from->mailbox . "@" . $from->host;
 			$ret['to'] = $an;
 			$ret['from'] = $von;
 			$ret['subject'] = $msgheader->subject;
 			$ret['cc'] = $msgheader->ccaddress;
 			$ret['date'] = $msgheader->date;
 		} else {
 			$plainh = $this->_headers($msgid);
 			$byline = explode("\r\n",$plainh);
 			foreach ($byline as $line) {
 				if ($this->_istfeld("to:",$line)) {
 					$ret['to'] = $this->_address($this->_feldwert("to:",$line));
 					$tmp1 = explode("@",$ret['to']);
 					$ret['mailbox'] = $tmp1[0];
 					$ret['host'] = $tmp1[1];
 				}
 				if ($this->_istfeld("from:",$line)) {
 					$ret['from'] = $this->_address($this->_feldwert("from:",$line));
 				}
 				if ($this->_istfeld("subject:",$line)) {
 					$ret['subject'] = $this->_feldwert("subject:",$line);
 				}
 				if ($this->_istfeld("date:",$line)) {
 					$ret['date'] = $this->_feldwert("date:",$line);
 				}
 				if ($this->_istfeld("cc:",$line)) {
 					$ret['cc'] = $this->_feldwert("cc:",$line);
 				}	
 			}
 		}
 		return $ret;
 	}
 	
 	function delete($msgid) {
 		if ($this->_haveimap()) {
 			if (imap_delete($this->_imaphandle,$msgid)) {
 				return true;
 			} else {
 				return false;
 			}
 		} else {
 			if ($this->_senden("DELE ${msgid}")) {
 				return true;
 			} else {
 				return false;
 			}
 		}
 	}
 	
 	function _address($in) {
 		if (ereg("<",$in) and ereg(">",$in)) {
 			$tmp = explode("<",$in);
 			$tmp2 = explode(">",$tmp[1]);
 			return $tmp2[0];
 		}
 		return $in;
 	}
 	
 	function close() {
 		if ($this->_haveimap()) {
 			if (imap_close($this->_imaphandle, CL_EXPUNGE)) {
 				return true;
 			} else {
 				return false;
 			}
 		} else {
 			if ($this->_senden("QUIT")) {
 				$this->_socket->Disconnect;
 				return true;
 			} else {
 				return false;
 			}
 		}
 	}
 	
 	function getbody($msgid) {
 		if ($this->_haveimap()) {
			$body = imap_fetchheader($this->_imaphandle, $msgid, FT_INTERNAL | FT_PREFETCHTEXT) . "\n\n" . imap_body($this->_imaphandle, $msgid);	 			
			return $body;
 		} else {
 			$antwort = $this->_senden('RETR ' . $msgid);
 			if ($antwort) {
 				$data = $this->_mehrzeilig();
 				return $data;
 			}
 			return false;
 		}
 	}
 	
 	function _istfeld($suche,$zeile) {
 		$suche = strtolower($suche);
 		$zeile = strtolower($zeile);
 		if (@substr($zeile,0,strlen($suche))==$suche) {
 			return true;
 		}
 	    return false;
 	}
 	
 	function _feldwert($suche,$zeile) {
 		$ergebnis = @substr($zeile,strlen($suche)+1);
 		return $ergebnis;
 	}
 	
 	function _headers($msgid) {
 		$antwort = $this->_senden('TOP ' . $msgid . ' 0');
		if ($antwort) {
 			$data = $this->_mehrzeilig();
 			return $data;
		}
 	}
 		
 	
    function _senden($cmd) {
    	$ergebnis = $this->_socket->Send($cmd);
    	if ($ergebnis) {
    		$antwort = $this->_socket->Get();
    		if (substr($antwort,0,3) == '+OK') {
    			return $antwort;
    		}
    	}
    	return $false;
    }

    function _haveimap() {
    	if (function_exists('imap_open')) {
    		return true;
    	}
    	return false;
    }
    
    function useimap() {
    	return $this->_haveimap();
    }
    
    function _mehrzeilig() {
    	$antwort = "";
    	while(($tmp = $this->_socket->Get()) != '.') {
    		if (substr($tmp,0,2) == '..') {
    			$tmp = substr($tmp,1);
    		}
    		$antwort .= $tmp . "\r\n";
    	}
    	return substr($antwort,0,-2);
    }
   
 }
?>